module completions {

  def "nu-complete git-absorb gen_completions" [] {
    [ "bash" "fish" "nushell" "zsh" "powershell" "elvish" ]
  }

  # Automatically absorb staged changes into your current branch
  export extern git-absorb [
    --base(-b): string        # Use this commit as the base of the absorb stack
    --dry-run(-n)             # Don't make any actual changes
    --force(-f)               # Skip safety checks
    --verbose(-v)             # Display more output
    --and-rebase(-r)          # Run rebase if successful
    --gen-completions: string@"nu-complete git-absorb gen_completions" # Generate completions
    --whole-file(-w)          # Match the change against the complete file
    --one-fixup-per-commit(-F) # Only generate one fixup per commit
    --help(-h)                # Print help
  ]

}

export use completions *
